[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.Equals

Determines whether the bits of 2 arrays are equal.

## Declaration

Source position: line 0

`public function TBits.Equals(`
`Obj: TObject`
`):Boolean; override; overload; function TBits.Equals(`
`BitSet: TBits`
`):Boolean; overload;`

## Description

equals returns True if all the bits in BitSet are the same as the ones in the current BitSet; if not, False is returned.

If the sizes of the two BitSets are different, the arrays are still reported equal when all the bits in the larger set, which are not present in the smaller set, are zero.

## Errors

None.

## See also

ClearAll |  | Clears all bits in the array.
andBits |  | Performs an and operation on the bits.
OrBits |  | Performs an or operation on the bits.
XOrBits |  | Performs a xor operation on the bits.

Documentation generated on: Feb 26 2014